---
sourceDocument: 호주 API 참조
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/ko-KR/api-reference

 Release :

    - australia

ft:locale :

    - ko-KR

ft:publication_title :

    - 호주 API 참조

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# 판매 CRM 가격 책정 - POST /api/sn_csm_pricing/{api_version}/pricingengine/computePrice

# 판매 CRM 가격 책정 - POST /api/sn_csm_pricing/{api_version}/pricingengine/computePrice {#ariaid-title1}

* 릴리스 버전: Australia
* 
* 업데이트 날짜 2019년 10월 16일
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 소요 시간: 174분

호출자가 요청 페이로드에 지정된 제품의 가격을 계산할 수 있습니다. 페이로드에 포함된 가격 책정 설정은 확인, 조정 또는 롤업을 적용할지 여부와 같은 가격 책정 엔진의 실행 플로우를 결정하고 제어합니다.
<br />

## URL 형식

버전이 지정된 URL: /api/sn_csm_pricing/{api_version}/pricingengine/computePrice

기본 URL:

## 지원되는 요청 매개변수

{#sales_crm_pricing-POST-compute-price__entry__2}

| 이름 | 설명 |
|-|-|
| 없음 |   |
[표 1. 경로 매개변수]

{#sales_crm_pricing-POST-compute-price__entry__6}

| 이름 | 설명 |
|-|-|
| 안 함 |   |
[표 2. 쿼리 매개변수]

{#sales_crm_pricing-POST-compute-price__entry__10}

| 이름 | 설명 |
|-|-|
| 헤더 | 필수 트랜잭션 수준 상세 정보, 라인 항목, 통화, 가격표 및 트랜잭션 날짜를 포함합니다. 데이터 유형: 객체 { "header": { "source_system": "String", "requesting_record_id": "String", "currency": "String", "lineItems": [Array], "pricelist": "String", "transaction_date": "String" } } |
| header.source_system | 필수 요청을 시작하는 시스템입니다. 데이터 유형: 문자열 예: `ServiceNow REST API` |
| header.requesting_record_id | 필수 이 요청의 고유 식별자입니다. 데이터 유형: 문자열 예: `QT0001101` |
| 헤더.통화 | 필수 가격 책정을 위한 통화 코드입니다. ServiceNow 통화만 지원합니다. 데이터 유형: 문자열 예: `USD` |
| header.transaction_date | 필수 트랜잭션의 날짜 및 시간입니다. 형식: 형식: glide_date_time 값( `예: yyyy-MM-dd HH:mm:ss)` 데이터 유형: datetime 예: `2023-12-18 23:37:11` |
| 헤더.가격목록 | 필수 트랜잭션에 사용할 기본 가격 목록 ID입니다. 데이터 유형: 문자열 예: `19d29513d0e63110f8770dbf976be122` |
| header.lineItems | 필수 제품, 수량 및 가격 정보를 자세히 설명하는 라인 항목 객체의 배열입니다. { "lineItems": [ { "line_id": "String", "pricelist": "String", "product_offering": "String", "periodicity": "String", "quantity": "String", "unit_of_measure": "String", "transaction_date": "String", "account_tier": "String", "selected": "Boolean", "top_product_offer": "String", "parent_product_offer": "String", "settings": {Object} } ] } |
| header.lineItems\[\].line_id | 필수 이 라인 항목의 고유 식별자입니다. 데이터 유형: 문자열 예: `CONNECTEDC1100` |
| header.lineItems\[\].pricelist | 필수 이 라인 항목의 가격표 ID입니다. 데이터 유형: 문자열 예: `19d29513d0e63110f8770dbf976be122` |
| header.lineItems\[\].product_offering | 필수 이 라인 항목의 제품 오퍼링 ID입니다. 데이터 유형: 문자열 예: `db61dd9fd0a63110f8770dbf976be19c` |
| header.lineItems\[\].periodicity | 빈도를 식별합니다. 가능한 값은 `월별`, `매년` 또는 null/정의되지 않음입니다. 데이터 유형: 문자열 예: `매월` |
| header.lineItems\[\].quantity | 필수 제품의 수량입니다. 데이터 유형: 문자열 예: `1` |
| header.lineItems\[\].unit_of_measure | 필수 측정 단위 ID입니다. 데이터 유형: 문자열 예: `cb2795d553020110286eddeeff7b12ff` |
| header.lineItems\[\].transaction_date | 필수 이 라인 항목에 관련된 트랜잭션의 날짜입니다. 형식: glide_date_time 값 데이터 유형: datetime 예: `2023-12-18 23:37:11` |
| header.lineItems\[\].account_tier | 가격 책정 논리에 대한 선택적 계정 계층(예: "골드")입니다. account_tier가 규칙 매트릭스에 사용되는 컨텍스트 변수인 경우. 데이터 유형: 문자열 |
| header.lineItems\[\].selected | 구성기 시나리오에서 라인 항목이 선택되었는지 여부를 나타냅니다. 번들의 하위 라인에만 적용할 수 있습니다. 데이터 유형: 부울 예: `true` |
| header.lineItems\[\].top_product_offer | 구성 번들에 있는 최상위 제품의 식별자입니다. 데이터 유형: 문자열 예: `db61dd9fd0a63110f8770dbf976be19c` |
| header.lineItems\[\].parent_product_offer | 번들 라인 항목에 있는 상위 제품의 식별자입니다. 데이터 유형: 문자열 예: `26d07c3211707110f877366201dea60c` |
| 설정 | 필수 가격 책정 엔진 설정 및 옵션을 포함합니다. 데이터 유형: 객체 { "settings": { "pricing_elements": "String", "disable_validation": boolean } } |
| settings.pricing_elements | 필수 반환할 요소의 쉼표로 구분된 목록입니다. 데이터 유형: 문자열 예: `가격, 비용, NET_PRICE, LINE_ROLLUPS, HEADER_ROLLUPS, 조정` |
| settings.disable_validation | 요청 시 확인 검사를 사용하지 않도록 설정할지 여부입니다. 데이터 유형: 부울 예: `true` |
| settings.config_lines_expanded | 번들의 모든 라인이 요청 시 전송되는지 여부를 나타냅니다. 현재 구성기의 경우 구성기에서 오는 모든 가격 책정 호출에 대해 모든 라인이 전송될 것으로 예상합니다. 데이터 유형: 부울 예: `true` |
| 설정.범위 | 가격 책정 범위입니다. 데이터 유형: 문자열 예: `구성기` |
| settings.config_top_line_identifier | 구성에 있는 최상위 제품의 라인 ID입니다. 데이터 유형: 문자열 예: `HOMEAUTOMA2000` |
| settings.use_external_code | 시스템이 외부 코드 조회를 수행하는지 여부를 나타냅니다. 데이터 유형: 부울 예: `true` |
[표 3. 요청 본문 매개변수(XML 또는 JSON)]

## 헤더

다음 요청 및 응답 헤더는 이 HTTP 작업에만 적용되거나 고유한 방식으로 이 작업에 적용됩니다. REST API에 사용되는 일반 헤더 목록은 [지원되는 REST API 헤더를 참조하십시오.](https://servicenow-prod.fluidtopics.net/1RuriJ1h~LGis5QmeVrYXQ "REST(REpresentational State Transfer)는 웹의 컴퓨터 시스템 간에 표준을 제공하여 서로 더 쉽게 통신할 수 있도록 하는 간단한 상태 비저장 아키텍처입니다.")
{#sales_crm_pricing-POST-compute-price__entry__62}{#sales_crm_pricing-POST-compute-price__accept-RESTAPI}

| 머리글 | 설명 |
|-|-|
| 수용 | 응답 본문의 데이터 형식입니다. 지원되는 유형은 application/json 또는 application/xml입니다. 기본값: application/json |
[표 4. 요청 헤더]

{#sales_crm_pricing-POST-compute-price__entry__66}

| 머리글 | 설명 |
|-|-|
| 안 함 |   |
[표 5. 응답 헤더]

## 상태 코드

이 HTTP 작업에 적용되는 상태 코드는 다음과 같습니다. REST API에 사용되는 가능한 상태 코드 목록은 [REST API HTTP 응답 코드를 참조하십시오.](https://servicenow-prod.fluidtopics.net/1RuriJ1h~LGis5QmeVrYXQ "REST(REpresentational State Transfer)는 웹의 컴퓨터 시스템 간에 표준을 제공하여 서로 더 쉽게 통신할 수 있도록 하는 간단한 상태 비저장 아키텍처입니다.")
{#sales_crm_pricing-POST-compute-price__entry__70}{#sales_crm_pricing-POST-compute-price__entry-200-status-code}

| 상태 코드 | 설명 |
|-|-|
| 200 | 성공입니다. 요청이 성공적으로 처리되었습니다. |
[표 6. 상태 코드]

## 응답 본문 매개변수(JSON 또는 XML) {#sales_crm_pricing-POST-compute-price__section_qwx_l3t_ygc}

{#sales_crm_pricing-POST-compute-price__table_twx_l3t_ygc__entry__2}

| 이름 | 설명 |
|-|-|
| 헤더.통화 | 가격 책정 응답에 사용되는 통화 코드입니다. 요청에서 전송된 것과 유사합니다. 데이터 유형: 문자열 예: `USD` |
| header.costbook | 가격 책정에 사용되는 비용 장부의 식별자입니다. 데이터 유형: 문자열(Sys_id) |
| header.lineItems | 각 라인 항목의 가격 책정 상세 정보를 포함합니다. 데이터 유형: 배열\<Object\> { "lineItems": [ { "line_id": "String", "status": "String", "currency": "String", "base_price": { "value": "String", "displayValue": "String" }, "list_price": { "value": "String", "displayValue": "String" }, "pricelist": "String", "quantity": "", "price_list_line": "String", "product_offering": "String", "one_time_price": { "value": "String", "displayValue": "String" }, "monthly_recurring_price": { "value": "String", "displayValue": "String" }, "annual_recurring_price": { "value": "String", "displayValue": "String" }, "unit_net_price": { "value": "String", "displayValue": "String" }, "cumulative_net_price": { "value": "String", "displayValue": "String" }, "cumulative_one_time_price": { "value": "String", "displayValue": "String" }, "cumulative_monthly_recurring_price": { "value": "String", "displayValue": "String" }, "cumulative_annual_recurring_price": { "value": "String", "displayValue": "String" }, "unit_adjustment": { "value": "String", "displayValue": "String" }, "term_month": { "value": Integer, "displayValue": Integer }, "cumulative_annual_recurring_price_v1": { "value": Integer, "displayValue": Integer }, "cumulative_monthly_recurring_price_v1": { "value": 0, "displayValue": 0 }, "total_recurring_price": { "value": "String", "displayValue": "String" }, "pricingAdjustments": [], "total_adjustment_amount": [] } ] } |
| header.lineItems\[\].line_id | 라인 항목의 식별자입니다. 데이터 유형: 문자열 예: `CONNECTEDC1100` |
| header.lineItems\[\].status | 라인 항목에 대한 가격 계산 상태입니다. 유효한 옵션: * 성공 * 장애 {#sales_crm_pricing-POST-compute-price__ul_r2j_qf1_zgc} 데이터 유형: 문자열 예: `성공` |
| header.lineItems\[\].base_price | 조정 전 기본 가격입니다. 데이터 유형: 객체 { "base_price": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].list_price | 기본 가격과 속성 조정이 포함된 목록 가격입니다. 데이터 유형: 객체 { "list_price": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].pricelist | 가격 목록 참조입니다. 데이터 유형: 문자열(Sys_id) |
| header.lineItems\[\].quantity | 요청의 일부로 전송된 수량입니다. 데이터 유형: 문자열 예: `1` |
| header.lineItems\[\].price_list_line | 가격 목록 라인 참조입니다. 데이터 유형: 문자열(Sys_id) 예: `3e93e785d07a7910f8770dbf976be1ee` |
| header.lineItems\[\].product_offering | 제품 오퍼링 참조입니다. 데이터 유형: 문자열(Sys_id) 예: `db61dd9fd0a63110f8770dbf976be19c` |
| header.lineItems\[\].one_time_price | 제품의 일회성 가격, 개당 원가 \* 수량입니다. 데이터 유형: 객체 { "one_time_price": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].monthly_recurring_price | 모든 수량을 포함한 제품의 월간 반복 가격입니다. 데이터 유형: 객체 { "monthly_recurring_price": { "value": Integer, "displayValue": Integer } } |
| header.lineItems\[\].annual_recurring_price | 모든 수량을 포함한 제품의 연간 반복 가격입니다. 데이터 유형: 객체 { "annual_recurring_price": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].unit_net_price | 자동 조정 후 단위당 순 가격입니다. 데이터 유형: 객체 { "unit_net_price": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].cumulative_net_price | \[일회성 가격 + (월간 반복 가격 \* 기간)\] + (상위 라인의 경우) 직계 및 상위 하위 라인에 대한 모든 CNP의 합계 데이터 유형: 객체 { "cumulative_net_price": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].cumulative_one_time_price | 하위 - 라인 항목의 일회성 가격입니다. 상위 라인 항목의 경우 - 라인 항목의 일회성 가격 + 모든 하위 및 조손 하위 라인 항목의 일회성 가격입니다. 데이터 유형: 객체 { "cumulative_one_time_price": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].cumulative_monthly_recurring_price | 가격 방법 = 반복인 경우. 라인의 월간 반복 가격 + (상위 라인의 경우) 하위 라인의 모든 월간 반복 가격의 합계입니다. 데이터 유형: 객체 { "cumulative_monthly_recurring_price": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].cumulative_annual_recurring_price | 가격 방법 = 반복인 경우. 누적 월간 반복 가격 \* 12 데이터 유형: 객체 { "cumulative_annual_recurring_price": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].unit_adjustment | 단위당 가격 조정이 적용됩니다. 데이터 유형: 객체 { "unit_adjustment": { "value": "String", "displayValue": "String" } } |
| header.lineItems\[\].term_month | 기간(월)입니다. 데이터 유형: 객체 { "term_month": { "value": Integer, "displayValue": Integer } } |
| header.lineItems\[\].cost | 제품의 단가입니다. 데이터 유형: 객체 { "cost": { "value": Integer, "displayValue": Integer } } |
| header.lineItems\[\].unit_margin_amount | 단위당 이익 마진 금액입니다. 데이터 유형: 객체 { "cost": { "value": Integer, "displayValue": Integer } } |
| header.lineItems\[\].unit_margin_percentage | 단위당 이익 마진 백분율입니다. 데이터 유형: 객체 |
| header.lineItems\[\].one_time_cost | 모든 수량을 포함한 제품에 대한 일회성 비용입니다. 데이터 유형: 객체 |
| header.lineItems\[\].monthly_recurring_cost | 모든 수량을 포함한 제품의 월간 반복 비용입니다. 데이터 유형: 객체 |
| header.lineItems\[\].cumulative_one_time_cost | 하위 - 라인 항목의 일회성 비용입니다. 상위 라인 항목의 경우 - 라인 항목의 일회성 비용 + 모든 하위 및 부하위 라인 항목에 대한 일회성 비용입니다. 데이터 유형: 객체 |
| header.lineItems\[\].cumulative_monthly_recurring_cost | 가격 방법 = 반복인 경우. 라인의 월간 반복 비용 + (상위 라인의 경우) 하위 라인의 모든 월간 반복 비용의 합계입니다. 데이터 유형: 객체 |
| header.lineItems\[\].cumulative_net_cost | \[일회성 비용 + (월간 반복 비용 \* 기간)\] + (상위 라인의 경우) 직계 및 손하위 라인에 대한 모든 CNC 합계 데이터 유형: 객체 |
| header.lineItems\[\].cumulative_margin_percentage | 전체 마진 백분율입니다. 데이터 유형: 객체 |
| 헤더.상태 | 전체 가격 책정 요청의 상태입니다. 유효한 옵션은 다음과 같습니다. * 성공 * 장애 * 부분 장애 {#sales_crm_pricing-POST-compute-price__ul_gqm_kb1_zgc} 데이터 유형: 문자열 예: `성공` |
| header.total_monthly_recurring_price | 집계된 월간 반복 가격입니다. 데이터 유형: 객체 |
| header.total_annual_recurring_price | 집계된 연간 반복 가격입니다. 데이터 유형: 객체 |
| header.total_amount | 총 트랜잭션 금액입니다. 데이터 유형: 객체 |
| header.total_one_time_price | 집계된 일회성 가격입니다. 데이터 유형: 객체 |
| header.total_one_time_cost | 집계된 일회성 비용입니다. 데이터 유형: 객체 |
| header.total_monthly_cost | 집계된 월별 비용입니다. 데이터 유형: 객체 |
| header.total_cost | 총 비용(일회성 + 반복)입니다. 데이터 유형: 객체 |
| header.total_one_time_margin | 일회성 청구의 총 마진입니다. 데이터 유형: 객체 |
| header.total_monthly_margin | 월별 과금의 총 마진입니다. 데이터 유형: 객체 |
| header.total_margin_amount | 총 이익 마진 금액입니다. 데이터 유형: 객체 |
| header.total_one_time_margin_percentage | 일회성 청구에 대한 마진 백분율입니다. 데이터 유형: 객체 |
| header.total_monthly_margin_percentage | 월별 과금의 마진 백분율입니다. 데이터 유형: 객체 |
| header.total_margin_percentage | 전체 마진 백분율입니다. 데이터 유형: 객체 |
| settings.pricing_elements | 가격 책정 응답에 포함된 요소(가격, 비용, NET_PRICE 등)입니다. 데이터 유형: 문자열 |
| settings.pricing_context_id | 범위가 구성기인 경우 가격 책정 세션의 식별자입니다. 데이터 유형: 문자열 |
[ ]

{#sales_crm_pricing-POST-compute-price__table_twx_l3t_ygc}

## 사용 예시 {#sales_crm_pricing-POST-compute-price__section_ihr_33p_zgc}

다음 예시에서는 다음을 포함하는 기본 사용법을 보여줍니다.

* 단일 제품의 가격 계산
* 헤더 롤업으로 여러 제품의 가격 계산
* 제품 구성 세션 시작
* 제품 구성 업데이트(특성 옵션 변경)
{#sales_crm_pricing-POST-compute-price__ul_s5l_cjp_zgc}  

## 단일 제품의 가격 계산 {#sales_crm_pricing-POST-compute-price__example_r1b_jjp_zgc}

이 예에서는 단일 제품 오퍼링에 대한 기본 가격 계산을 보여줍니다. API는 하나의 라인 항목으로 호출되며 요청은 PRICE, COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS 및 ADJUSTMENTS를 계산하고 반환하도록 지정합니다. 복잡한 구성이나 조정 없이 개별 항목의 가격을 가져오기 위한 기본 요청입니다.

예: cURL 요청.

    curl "https://instance.servicenow.com/api/sn_csm_pricing/v1/pricingengine/computePrice" \
    --request POST \
    --header "Accept: application/json" \
    --header "Content-Type: application/json" \
    --data '{
        "header": {
            "source_system": "ServiceNow Headless API",
            "requesting_record_id": "QT0001101",
            "currency": "USD",
            "lineItems": [
                {
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "db61dd9fd0a63110f8770dbf976be19c",
                    "periodicity" : "",
                    "quantity": "1",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2023-12-18 23:37:11",
                    "line_id": "CONNECTEDC1100"
                }
            ],
            "pricelist": "19d29513d0e63110f8770dbf976be122",
            "transaction_date": "2023-12-18 23:37:11"
        },
        "settings": {
            "pricing_elements": "PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS",
            "disable_validation": true
        }
    }' \
    --user 'username:password'

<br />

    {
          "result": {
            "header": {
                "currency": "USD",
                "lineItems": [
                    {
                        "line_id": "CONNECTEDC1100",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "list_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "",
                        "price_list_line": "3e93e785d07a7910f8770dbf976be1ee",
                        "product_offering": "db61dd9fd0a63110f8770dbf976be19c",
                        "one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_adjustment": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "total_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricingAdjustments": [],
                        "total_adjustment_amount": []
                    }
                ],
                "status": "Success",
                "total_monthly_recurring_price": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_monthly_recurring_price_v1": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_annual_recurring_price": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_annual_recurring_price_v1": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_amount": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_amount_v1": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_one_time_price": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_one_time_cost": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_monthly_cost": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_cost": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_one_time_margin": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_monthly_margin": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_margin_amount": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_one_time_margin_percentage": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_monthly_margin_percentage": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_margin_percentage": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                }
            },
            "settings": {
                "pricing_elements": "PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS"
            }
        }
    }

## 헤더 롤업으로 여러 제품의 가격 계산 {#sales_crm_pricing-POST-compute-price__example_y5s_mht_ygc}

이 예에서는 단일 트랜잭션에서 가격이 책정될 여러 개의 고유한 제품 목록을 보내는 방법을 보여줍니다. 이 요청의 주요 차이점은 동일한 요청에 여러 제품을 전송한다는 점입니다. 이렇게 하면 가격 책정 엔진이 각 라인 항목에 대한 개별 가격을 계산하고 전체 요청에 대해 집계된 합계를 계산하여 반환하도록 지시됩니다.

예: cURL 요청.

    curl "https://instance.servicenow.com/api/sn_csm_pricing/v1/pricingengine/computePrice" \
    --request POST \
    --header "Accept: application/json" \
    --header "Content-Type: application/json" \
    --data '{
        "header": {
            "source_system": "Test Source System",
            "requesting_record_id": "QT0001101",
            "currency": "USD",
            "lineItems": [
                {
                    "top_product_offer": "db61dd9fd0a63110f8770dbf976be19c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "db61dd9fd0a63110f8770dbf976be19c",
                    "periodicity" : "",
                    "quantity": "1",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2023-12-18 23:37:11",
                    "line_id": "CONNECTEDC1000"
                },
                {
                    "top_product_offer": "9b61dd9fd0a63110f8770dbf976be1c6",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "9b61dd9fd0a63110f8770dbf976be1c6",
                    "periodicity" : "annually",
                    "quantity": "1",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2023-12-18 23:37:11",
                    "line_id": "AUTOCOLLIS1001"
                },
                {
                    "top_product_offer": "9361dd9fd0a63110f8770dbf976be1c4",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "9361dd9fd0a63110f8770dbf976be1c4",
                    "periodicity" : "annually",
                    "quantity": "1",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2023-12-18 23:37:11",
                    "line_id": "WIFIHOTSPOT1002"
                }
            ],
            "pricelist": "19d29513d0e63110f8770dbf976be122",
            "transaction_date": "2023-12-18 23:37:11"
        },
        "settings": {
            "pricing_elements": "PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS",
            "disable_validation": true
        }
    }' \
    --user 'username:password'

<br />

    {
        "result": {
            "header": {
                "currency": "USD",
                "lineItems": [
                    {
                        "line_id": "CONNECTEDC1000",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "list_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "3e93e785d07a7910f8770dbf976be1ee",
                        "product_offering": "db61dd9fd0a63110f8770dbf976be19c",
                        "top_product_offer": "db61dd9fd0a63110f8770dbf976be19c",
                        "one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_adjustment": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "total_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricingAdjustments": [],
                        "total_adjustment_amount": []
                    },
                    {
                        "line_id": "AUTOCOLLIS1001",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "250.0000",
                            "displayValue": "$250.00"
                        },
                        "list_price": {
                            "value": "250.0000",
                            "displayValue": "$250.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "4dc32f85d07a7910f8770dbf976be197",
                        "product_offering": "9b61dd9fd0a63110f8770dbf976be1c6",
                        "top_product_offer": "9b61dd9fd0a63110f8770dbf976be1c6",
                        "one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "monthly_recurring_price": {
                            "value": "20.8333",
                            "displayValue": "$20.8333"
                        },
                        "annual_recurring_price": {
                            "value": "250.0000",
                            "displayValue": "$250.00"
                        },
                        "unit_net_price": {
                            "value": "250.0000",
                            "displayValue": "$250.00"
                        },
                        "cumulative_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "20.8333",
                            "displayValue": "$20.8333"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "250.0000",
                            "displayValue": "$250.00"
                        },
                        "unit_adjustment": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": "250.0000",
                            "displayValue": "$250.00"
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "total_recurring_price": {
                            "value": "250.0000",
                            "displayValue": "$250.00"
                        },
                        "pricingAdjustments": [],
                        "total_adjustment_amount": []
                    },
                    {
                        "line_id": "WIFIHOTSPOT1002",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "list_price": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "3ff3ef85d07a7910f8770dbf976be1ea",
                        "product_offering": "9361dd9fd0a63110f8770dbf976be1c4",
                        "top_product_offer": "9361dd9fd0a63110f8770dbf976be1c4",
                        "one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "monthly_recurring_price": {
                            "value": "8.3333",
                            "displayValue": "$8.3333"
                        },
                        "annual_recurring_price": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "unit_net_price": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "cumulative_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "8.3333",
                            "displayValue": "$8.3333"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "unit_adjustment": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "total_recurring_price": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "pricingAdjustments": [],
                        "total_adjustment_amount": []
                    }
                ],
                "status": "Success",
                "total_monthly_recurring_price": {
                    "value": "29.1666",
                    "displayValue": "$29.1666"
                },
                "total_monthly_recurring_price_v1": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_annual_recurring_price": {
                    "value": "350.0000",
                    "displayValue": "$350.00"
                },
                "total_annual_recurring_price_v1": {
                    "value": "350.0000",
                    "displayValue": "$350.00"
                },
                "total_amount": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_amount_v1": {
                    "value": "350.0000",
                    "displayValue": "$350.00"
                },
                "total_one_time_price": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_one_time_cost": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_monthly_cost": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_cost": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_one_time_margin": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_monthly_margin": {
                    "value": "29.1666",
                    "displayValue": "$29.1666"
                },
                "total_margin_amount": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_one_time_margin_percentage": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_monthly_margin_percentage": {
                    "value": "100.0000",
                    "displayValue": "$100.00"
                },
                "total_margin_percentage": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                }
            },
            "settings": {
                "pricing_elements": "PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS"
            }
        }
    }

## 제품 구성 세션 시작 {#sales_crm_pricing-POST-compute-price__example_zbg_2jt_ygc}

이 예시에서는 상태 저장 제품 구성 세션을 시작하는 방법을 보여줍니다. 이는 여러 구성 요소와 사용자가 선택할 수 있는 옵션이 포함된 번들로 판매되는 복잡한 제품에 사용됩니다. 범위를 "구성기"로 설정하여 가격 책정 엔진에 영구 세션을 생성하도록 지시합니다. 엔진은 전체 제품 계층 구조를 처리하고, 초기 가격을 계산하고, 고유한 pricing_context_id 반환합니다.  
중요사항:  
세션의 상태를 유지하려면 이 구성에 대한 모든 후속 요청(예: 수량 변경 또는 옵션 선택 시)에서 고유한 `pricing_context_id` 를 캡처하고 보내야 합니다.

예: cURL 요청.

    curl "https://instance.servicenow.com/api/sn_csm_pricing/v1/pricingengine/computePrice" \
    --request POST \
    --header "Accept: application/json" \
    --header "Content-Type: application/json" \
    --data '{
        "header": {
            "source_system": "ServiceNow Headless API",
            "requesting_record_id": "QT0001101",
            "currency": "USD",
            "lineItems": [
                {
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "26d07c3211707110f877366201dea60c",
                    "quantity": "1",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "periodicity" : "",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "HOMEAUTOMA2000"
                },
                {
                    "parent_product_offer": "26d07c3211707110f877366201dea60c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "fe5d203e11307110f877366201dea631",
                    "periodicity" : "",
                    "quantity": "3",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "DOORSENSOR1001"
                },
                {
                    "parent_product_offer": "26d07c3211707110f877366201dea60c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "3f6111dfd0a63110f8770dbf976be149",
                    "periodicity" : "",
                    "quantity": "1",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "characteristics": [
                        {
                            "characteristic": "4f31999fd0a63110f8770dbf976be178",
                            "characteristic_option": "0b31999fd0a63110f8770dbf976be179"
                        }
                    ],
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "HOMEAUTOMA1002"
                },
                {
                    "parent_product_offer": "26d07c3211707110f877366201dea60c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "376111dfd0a63110f8770dbf976be140",
                    "periodicity" : "monthly",
                    "quantity": "1",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "BASICMONIT1003"
                },
                {
                    "parent_product_offer": "26d07c3211707110f877366201dea60c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "e2619d9fd0a63110f8770dbf976be1ec",
                    "periodicity" : "monthly",
                    "quantity": "1",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "PREMMONIT2004"
                },
                {
                    "parent_product_offer": "26d07c3211707110f877366201dea60c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "3b6111dfd0a63110f8770dbf976be147",
                    "periodicity" : "monthly",
                    "quantity": "1",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "ULTIMONIT1005"
                },
                {
                    "parent_product_offer": "26d07c3211707110f877366201dea60c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "1761dd9fd0a63110f8770dbf976be196",
                    "periodicity" : "",
                    "quantity": "1",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "INDOORCAM1006"
                },
                {
                    "parent_product_offer": "26d07c3211707110f877366201dea60c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "6f6111dfd0a63110f8770dbf976be100",
                    "periodicity" : "",
                    "quantity": "1",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "OUTCAMERA1007"
                },
                {
                    "parent_product_offer": "26d07c3211707110f877366201dea60c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "1b20347e11307110f877366201dea67f",
                    "periodicity" : "",
                    "quantity": "3",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "WINSENSOR1008"
                }
            ],
            "pricelist": "19d29513d0e63110f8770dbf976be122",
            "transaction_date": "2023-12-18 23:37:11"
        },
        "settings": {
            "pricing_elements": "PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS",
            "disable_validation": true,
            "scope": "configurator",
            "config_top_line_identifier": "HOMEAUTOMA2000",
            "config_lines_expanded": false
        }
    }' \
    --user 'username:password'

응답 예:

다음 결과는 요청 상태가 성공임을 보여줍니다.

    {
        "result": {
            "header": {
                "currency": "USD",
                "lineItems": [
                    {
                        "line_id": "HOMEAUTOMA2000",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "list_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "d6792b8dd07a7910f8770dbf976be1f8",
                        "product_offering": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_net_price": {
                            "value": "200.0000",
                            "displayValue": "$200.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "200.0000",
                            "displayValue": "$200.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "105.0000",
                            "displayValue": "$105.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "1260.0000",
                            "displayValue": "$1,260.00"
                        },
                        "unit_adjustment": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": "105.0000",
                            "displayValue": "$105.00"
                        },
                        "total_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricingAdjustments": [],
                        "total_adjustment_amount": []
                    },
                    {
                        "line_id": "DOORSENSOR1001",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "10.0000",
                            "displayValue": "$10.00"
                        },
                        "list_price": {
                            "value": "10.0000",
                            "displayValue": "$10.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "3",
                        "price_list_line": "2ec2a745d07a7910f8770dbf976be159",
                        "product_offering": "fe5d203e11307110f877366201dea631",
                        "parent_product_offer": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "24.0000",
                            "displayValue": "$24.00"
                        },
                        "monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_net_price": {
                            "value": "8.0000",
                            "displayValue": "$8.00"
                        },
                        "cumulative_net_price": {
                            "value": "24.0000",
                            "displayValue": "$24.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "24.0000",
                            "displayValue": "$24.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_adjustment": {
                            "value": "-2.0000",
                            "displayValue": "($2.00)"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "total_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricingAdjustments": [
                            {
                                "adjustment_type": {
                                    "value": "a96c83d653dd91105c0eddeeff7b12d8",
                                    "displayValue": "MARKDOWN_PER"
                                },
                                "adjustment_value": {
                                    "value": 20.0,
                                    "displayValue": "20"
                                },
                                "adjustment_amount": {
                                    "value": -2.0,
                                    "displayValue": "($2.00)"
                                },
                                "adjustment_amount_total": {
                                    "value": -6.0,
                                    "displayValue": "($6.00)"
                                },
                                "adjustment_description": {
                                    "displayValue": "door sensor bundle discount"
                                },
                                "adjustment_sequence_id": {
                                    "value": 1.0
                                },
                                "adjustment_matrix_type": {
                                    "displayValue": "Configuration Component Price Adjustment"
                                },
                                "adjustment_basis": {
                                    "value": "prv_price_point"
                                },
                                "price_point": {
                                    "value": "net_price"
                                },
                                "pricing_plan_step": {
                                    "value": "97b61272ffe722101fb14ad013cb14d7"
                                },
                                "running_price": {
                                    "value": 8.0,
                                    "displayValue": "$8.00"
                                }
                            }
                        ],
                        "total_adjustment_amount": [
                            {
                                "pricePoint": "net_price",
                                "value": -6.0,
                                "displayValue": "($6.00)"
                            }
                        ]
                    },
                    {
                        "line_id": "HOMEAUTOMA1002",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "list_price": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "fe912705d07a7910f8770dbf976be147",
                        "product_offering": "3f6111dfd0a63110f8770dbf976be149",
                        "parent_product_offer": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "80.0000",
                            "displayValue": "$80.00"
                        },
                        "monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_net_price": {
                            "value": "80.0000",
                            "displayValue": "$80.00"
                        },
                        "cumulative_net_price": {
                            "value": "80.0000",
                            "displayValue": "$80.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "80.0000",
                            "displayValue": "$80.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_adjustment": {
                            "value": "-20.0000",
                            "displayValue": "($20.00)"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "total_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricingAdjustments": [
                            {
                                "adjustment_type": {
                                    "value": "a96c83d653dd91105c0eddeeff7b12d8",
                                    "displayValue": "MARKDOWN_PER"
                                },
                                "adjustment_value": {
                                    "value": 20.0,
                                    "displayValue": "20"
                                },
                                "adjustment_amount": {
                                    "value": -20.0,
                                    "displayValue": "($20.00)"
                                },
                                "adjustment_amount_total": {
                                    "value": -20.0,
                                    "displayValue": "($20.00)"
                                },
                                "adjustment_description": {
                                    "displayValue": "home automation hub bundle discount"
                                },
                                "adjustment_sequence_id": {
                                    "value": 1.0
                                },
                                "adjustment_matrix_type": {
                                    "displayValue": "Configuration Component Price Adjustment"
                                },
                                "adjustment_basis": {
                                    "value": "prv_price_point"
                                },
                                "price_point": {
                                    "value": "net_price"
                                },
                                "pricing_plan_step": {
                                    "value": "97b61272ffe722101fb14ad013cb14d7"
                                },
                                "running_price": {
                                    "value": 80.0,
                                    "displayValue": "$80.00"
                                }
                            }
                        ],
                        "total_adjustment_amount": [
                            {
                                "pricePoint": "net_price",
                                "value": -20.0,
                                "displayValue": "($20.00)"
                            }
                        ]
                    },
                    {
                        "line_id": "BASICMONIT1003",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "30.0000",
                            "displayValue": "$30.00"
                        },
                        "list_price": {
                            "value": "30.0000",
                            "displayValue": "$30.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "bc53e785d07a7910f8770dbf976be1e7",
                        "product_offering": "376111dfd0a63110f8770dbf976be140",
                        "parent_product_offer": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "monthly_recurring_price": {
                            "value": "25.0000",
                            "displayValue": "$25.00"
                        },
                        "annual_recurring_price": {
                            "value": "300.0000",
                            "displayValue": "$300.00"
                        },
                        "unit_net_price": {
                            "value": "25.0000",
                            "displayValue": "$25.00"
                        },
                        "cumulative_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "25.0000",
                            "displayValue": "$25.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "300.0000",
                            "displayValue": "$300.00"
                        },
                        "unit_adjustment": {
                            "value": "-5.0000",
                            "displayValue": "($5.00)"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": "25.0000",
                            "displayValue": "$25.00"
                        },
                        "total_recurring_price": {
                            "value": "25.0000",
                            "displayValue": "$25.00"
                        },
                        "pricingAdjustments": [
                            {
                                "adjustment_type": {
                                    "value": "6e1c03d653dd91105c0eddeeff7b1232",
                                    "displayValue": "MARKDOWN_AMT"
                                },
                                "adjustment_value": {
                                    "value": 5.0,
                                    "displayValue": "5"
                                },
                                "adjustment_amount": {
                                    "value": -5.0,
                                    "displayValue": "($5.00)"
                                },
                                "adjustment_amount_total": {
                                    "value": -5.0,
                                    "displayValue": "($5.00)"
                                },
                                "adjustment_description": {
                                    "displayValue": "basic monitoring bundle discount"
                                },
                                "adjustment_sequence_id": {
                                    "value": 1.0
                                },
                                "adjustment_matrix_type": {
                                    "displayValue": "Configuration Component Price Adjustment"
                                },
                                "adjustment_basis": {
                                    "value": "prv_price_point"
                                },
                                "price_point": {
                                    "value": "net_price"
                                },
                                "pricing_plan_step": {
                                    "value": "97b61272ffe722101fb14ad013cb14d7"
                                },
                                "running_price": {
                                    "value": 25.0,
                                    "displayValue": "$25.00"
                                }
                            }
                        ],
                        "total_adjustment_amount": [
                            {
                                "pricePoint": "net_price",
                                "value": -5.0,
                                "displayValue": "($5.00)"
                            }
                        ]
                    },
                    {
                        "line_id": "PREMMONIT2004",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "40.0000",
                            "displayValue": "$40.00"
                        },
                        "list_price": {
                            "value": "40.0000",
                            "displayValue": "$40.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "a663a785d07a7910f8770dbf976be115",
                        "product_offering": "e2619d9fd0a63110f8770dbf976be1ec",
                        "parent_product_offer": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "monthly_recurring_price": {
                            "value": "35.0000",
                            "displayValue": "$35.00"
                        },
                        "annual_recurring_price": {
                            "value": "420.0000",
                            "displayValue": "$420.00"
                        },
                        "unit_net_price": {
                            "value": "35.0000",
                            "displayValue": "$35.00"
                        },
                        "cumulative_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "35.0000",
                            "displayValue": "$35.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "420.0000",
                            "displayValue": "$420.00"
                        },
                        "unit_adjustment": {
                            "value": "-5.0000",
                            "displayValue": "($5.00)"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": "35.0000",
                            "displayValue": "$35.00"
                        },
                        "total_recurring_price": {
                            "value": "35.0000",
                            "displayValue": "$35.00"
                        },
                        "pricingAdjustments": [
                            {
                                "adjustment_type": {
                                    "value": "6e1c03d653dd91105c0eddeeff7b1232",
                                    "displayValue": "MARKDOWN_AMT"
                                },
                                "adjustment_value": {
                                    "value": 5.0,
                                    "displayValue": "5"
                                },
                                "adjustment_amount": {
                                    "value": -5.0,
                                    "displayValue": "($5.00)"
                                },
                                "adjustment_amount_total": {
                                    "value": -5.0,
                                    "displayValue": "($5.00)"
                                },
                                "adjustment_description": {
                                    "displayValue": "premium monitoring bundle discount"
                                },
                                "adjustment_sequence_id": {
                                    "value": 1.0
                                },
                                "adjustment_matrix_type": {
                                    "displayValue": "Configuration Component Price Adjustment"
                                },
                                "adjustment_basis": {
                                    "value": "prv_price_point"
                                },
                                "price_point": {
                                    "value": "net_price"
                                },
                                "pricing_plan_step": {
                                    "value": "97b61272ffe722101fb14ad013cb14d7"
                                },
                                "running_price": {
                                    "value": 35.0,
                                    "displayValue": "$35.00"
                                }
                            }
                        ],
                        "total_adjustment_amount": [
                            {
                                "pricePoint": "net_price",
                                "value": -5.0,
                                "displayValue": "($5.00)"
                            }
                        ]
                    },
                    {
                        "line_id": "ULTIMONIT1005",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "50.0000",
                            "displayValue": "$50.00"
                        },
                        "list_price": {
                            "value": "50.0000",
                            "displayValue": "$50.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "72736f85d07a7910f8770dbf976be162",
                        "product_offering": "3b6111dfd0a63110f8770dbf976be147",
                        "parent_product_offer": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "monthly_recurring_price": {
                            "value": "45.0000",
                            "displayValue": "$45.00"
                        },
                        "annual_recurring_price": {
                            "value": "540.0000",
                            "displayValue": "$540.00"
                        },
                        "unit_net_price": {
                            "value": "45.0000",
                            "displayValue": "$45.00"
                        },
                        "cumulative_net_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "45.0000",
                            "displayValue": "$45.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "540.0000",
                            "displayValue": "$540.00"
                        },
                        "unit_adjustment": {
                            "value": "-5.0000",
                            "displayValue": "($5.00)"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": "45.0000",
                            "displayValue": "$45.00"
                        },
                        "total_recurring_price": {
                            "value": "45.0000",
                            "displayValue": "$45.00"
                        },
                        "pricingAdjustments": [
                            {
                                "adjustment_type": {
                                    "value": "6e1c03d653dd91105c0eddeeff7b1232",
                                    "displayValue": "MARKDOWN_AMT"
                                },
                                "adjustment_value": {
                                    "value": 5.0,
                                    "displayValue": "5"
                                },
                                "adjustment_amount": {
                                    "value": -5.0,
                                    "displayValue": "($5.00)"
                                },
                                "adjustment_amount_total": {
                                    "value": -5.0,
                                    "displayValue": "($5.00)"
                                },
                                "adjustment_description": {
                                    "displayValue": "ultimate monitoring bundle discount"
                                },
                                "adjustment_sequence_id": {
                                    "value": 1.0
                                },
                                "adjustment_matrix_type": {
                                    "displayValue": "Configuration Component Price Adjustment"
                                },
                                "adjustment_basis": {
                                    "value": "prv_price_point"
                                },
                                "price_point": {
                                    "value": "net_price"
                                },
                                "pricing_plan_step": {
                                    "value": "97b61272ffe722101fb14ad013cb14d7"
                                },
                                "running_price": {
                                    "value": 45.0,
                                    "displayValue": "$45.00"
                                }
                            }
                        ],
                        "total_adjustment_amount": [
                            {
                                "pricePoint": "net_price",
                                "value": -5.0,
                                "displayValue": "($5.00)"
                            }
                        ]
                    },
                    {
                        "line_id": "INDOORCAM1006",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "35.0000",
                            "displayValue": "$35.00"
                        },
                        "list_price": {
                            "value": "35.0000",
                            "displayValue": "$35.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "81332f45d07a7910f8770dbf976be14e",
                        "product_offering": "1761dd9fd0a63110f8770dbf976be196",
                        "parent_product_offer": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "28.0000",
                            "displayValue": "$28.00"
                        },
                        "monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_net_price": {
                            "value": "28.0000",
                            "displayValue": "$28.00"
                        },
                        "cumulative_net_price": {
                            "value": "28.0000",
                            "displayValue": "$28.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "28.0000",
                            "displayValue": "$28.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_adjustment": {
                            "value": "-7.0000",
                            "displayValue": "($7.00)"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "total_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricingAdjustments": [
                            {
                                "adjustment_type": {
                                    "value": "a96c83d653dd91105c0eddeeff7b12d8",
                                    "displayValue": "MARKDOWN_PER"
                                },
                                "adjustment_value": {
                                    "value": 20.0,
                                    "displayValue": "20"
                                },
                                "adjustment_amount": {
                                    "value": -7.0,
                                    "displayValue": "($7.00)"
                                },
                                "adjustment_amount_total": {
                                    "value": -7.0,
                                    "displayValue": "($7.00)"
                                },
                                "adjustment_description": {
                                    "displayValue": "indoor camera bundle discount"
                                },
                                "adjustment_sequence_id": {
                                    "value": 1.0
                                },
                                "adjustment_matrix_type": {
                                    "displayValue": "Configuration Component Price Adjustment"
                                },
                                "adjustment_basis": {
                                    "value": "prv_price_point"
                                },
                                "price_point": {
                                    "value": "net_price"
                                },
                                "pricing_plan_step": {
                                    "value": "97b61272ffe722101fb14ad013cb14d7"
                                },
                                "running_price": {
                                    "value": 28.0,
                                    "displayValue": "$28.00"
                                }
                            }
                        ],
                        "total_adjustment_amount": [
                            {
                                "pricePoint": "net_price",
                                "value": -7.0,
                                "displayValue": "($7.00)"
                            }
                        ]
                    },
                    {
                        "line_id": "OUTCAMERA1007",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "40.0000",
                            "displayValue": "$40.00"
                        },
                        "list_price": {
                            "value": "40.0000",
                            "displayValue": "$40.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "9a136f45d07a7910f8770dbf976be1b4",
                        "product_offering": "6f6111dfd0a63110f8770dbf976be100",
                        "parent_product_offer": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "32.0000",
                            "displayValue": "$32.00"
                        },
                        "monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_net_price": {
                            "value": "32.0000",
                            "displayValue": "$32.00"
                        },
                        "cumulative_net_price": {
                            "value": "32.0000",
                            "displayValue": "$32.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "32.0000",
                            "displayValue": "$32.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_adjustment": {
                            "value": "-8.0000",
                            "displayValue": "($8.00)"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "total_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricingAdjustments": [
                            {
                                "adjustment_type": {
                                    "value": "a96c83d653dd91105c0eddeeff7b12d8",
                                    "displayValue": "MARKDOWN_PER"
                                },
                                "adjustment_value": {
                                    "value": 20.0,
                                    "displayValue": "20"
                                },
                                "adjustment_amount": {
                                    "value": -8.0,
                                    "displayValue": "($8.00)"
                                },
                                "adjustment_amount_total": {
                                    "value": -8.0,
                                    "displayValue": "($8.00)"
                                },
                                "adjustment_description": {
                                    "displayValue": "outdoor camera bundle discount"
                                },
                                "adjustment_sequence_id": {
                                    "value": 1.0
                                },
                                "adjustment_matrix_type": {
                                    "displayValue": "Configuration Component Price Adjustment"
                                },
                                "adjustment_basis": {
                                    "value": "prv_price_point"
                                },
                                "price_point": {
                                    "value": "net_price"
                                },
                                "pricing_plan_step": {
                                    "value": "97b61272ffe722101fb14ad013cb14d7"
                                },
                                "running_price": {
                                    "value": 32.0,
                                    "displayValue": "$32.00"
                                }
                            }
                        ],
                        "total_adjustment_amount": [
                            {
                                "pricePoint": "net_price",
                                "value": -8.0,
                                "displayValue": "($8.00)"
                            }
                        ]
                    },
                    {
                        "line_id": "WINSENSOR1008",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "15.0000",
                            "displayValue": "$15.00"
                        },
                        "list_price": {
                            "value": "15.0000",
                            "displayValue": "$15.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "3",
                        "price_list_line": "91f26b45d07a7910f8770dbf976be19b",
                        "product_offering": "1b20347e11307110f877366201dea67f",
                        "parent_product_offer": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "36.0000",
                            "displayValue": "$36.00"
                        },
                        "monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_net_price": {
                            "value": "12.0000",
                            "displayValue": "$12.00"
                        },
                        "cumulative_net_price": {
                            "value": "36.0000",
                            "displayValue": "$36.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "36.0000",
                            "displayValue": "$36.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_adjustment": {
                            "value": "-3.0000",
                            "displayValue": "($3.00)"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "total_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricingAdjustments": [
                            {
                                "adjustment_type": {
                                    "value": "a96c83d653dd91105c0eddeeff7b12d8",
                                    "displayValue": "MARKDOWN_PER"
                                },
                                "adjustment_value": {
                                    "value": 20.0,
                                    "displayValue": "20"
                                },
                                "adjustment_amount": {
                                    "value": -3.0,
                                    "displayValue": "($3.00)"
                                },
                                "adjustment_amount_total": {
                                    "value": -9.0,
                                    "displayValue": "($9.00)"
                                },
                                "adjustment_description": {
                                    "displayValue": "window sensor bundle discount"
                                },
                                "adjustment_sequence_id": {
                                    "value": 1.0
                                },
                                "adjustment_matrix_type": {
                                    "displayValue": "Configuration Component Price Adjustment"
                                },
                                "adjustment_basis": {
                                    "value": "prv_price_point"
                                },
                                "price_point": {
                                    "value": "net_price"
                                },
                                "pricing_plan_step": {
                                    "value": "97b61272ffe722101fb14ad013cb14d7"
                                },
                                "running_price": {
                                    "value": 12.0,
                                    "displayValue": "$12.00"
                                }
                            }
                        ],
                        "total_adjustment_amount": [
                            {
                                "pricePoint": "net_price",
                                "value": -9.0,
                                "displayValue": "($9.00)"
                            }
                        ]
                    }
                ],
                "status": "Success",
                "total_monthly_recurring_price": {
                    "value": "105.0000",
                    "displayValue": "$105.00"
                },
                "total_monthly_recurring_price_v1": {
                    "value": "105.0000",
                    "displayValue": "$105.00"
                },
                "total_annual_recurring_price": {
                    "value": "1260.0000",
                    "displayValue": "$1,260.00"
                },
                "total_annual_recurring_price_v1": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_amount": {
                    "value": "200.0000",
                    "displayValue": "$200.00"
                },
                "total_amount_v1": {
                    "value": "305.0000",
                    "displayValue": "$305.00"
                },
                "total_one_time_price": {
                    "value": "200.0000",
                    "displayValue": "$200.00"
                },
                "total_one_time_cost": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_monthly_cost": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_cost": {
                    "value": "0.0000",
                    "displayValue": "$0.00"
                },
                "total_one_time_margin": {
                    "value": "200.0000",
                    "displayValue": "$200.00"
                },
                "total_monthly_margin": {
                    "value": "105.0000",
                    "displayValue": "$105.00"
                },
                "total_margin_amount": {
                    "value": "200.0000",
                    "displayValue": "$200.00"
                },
                "total_one_time_margin_percentage": {
                    "value": "100.0000",
                    "displayValue": "$100.00"
                },
                "total_monthly_margin_percentage": {
                    "value": "100.0000",
                    "displayValue": "$100.00"
                },
                "total_margin_percentage": {
                    "value": "100.0000",
                    "displayValue": "$100.00"
                }
            },
            "settings": {
                "pricing_context_id": "7049E245A667EABB226B16A2190FB92E",
                "pricing_elements": "PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS"
            }
        }
    }

## 제품 구성 업데이트(특성 옵션 변경) {#sales_crm_pricing-POST-compute-price__example_tdq_rjt_ygc}

이 예에서는 사용자가 선택할 수 있는 옵션(특성)을 변경하여 활성 제품 구성 세션을 업데이트하는 방법을 보여줍니다. 이는 색상, 크기 또는 기능 변경과 같은 제품 구성기의 일반적인 작업입니다.

필수 조건: [제품 구성 세션](https://servicenow-prod.fluidtopics.net/OF4pEiS8yWLpvrWZ9nb2dA#sales_crm_pricing-POST-compute-price__example_zbg_2jt_ygc)을 시작할 때 반환되는 `pricing_context_id` 포함해야 합니다. 이는 가격 책정 엔진에 업데이트할 세션을 알려줍니다.

참고: lineItems 배열에는 수정 중인 특정 항목만 포함되어야 하며 전체 제품 계층 구조를 다시 보낼 필요는 없습니다.

예: cURL 요청.

    curl "https://instance.servicenow.com/api/sn_csm_pricing/v1/pricingengine/computePrice" \
    --request POST \
    --header "Accept: application/json" \
    --header "Content-Type: application/json" \
    --data '{
        "header": {
            "source_system": "ServiceNow Headless API",
            "requesting_record_id": "QT0001101",
            "currency": "USD",
            "lineItems": [
                {
                    "parent_product_offer": "26d07c3211707110f877366201dea60c",
                    "pricelist": "19d29513d0e63110f8770dbf976be122",
                    "product_offering": "3f6111dfd0a63110f8770dbf976be149",
                    "periodicity": "",
                    "quantity": "1",
                    "top_product_offer": "26d07c3211707110f877366201dea60c",
                    "unit_of_measure": "cb2795d553020110286eddeeff7b12ff",
                    "characteristics": [
                        {
                            "characteristic": "4f31999fd0a63110f8770dbf976be178",
                            "characteristic_option": "8331999fd0a63110f8770dbf976be179"
                        }
                    ],
                    "transaction_date": "2025-08-28 22:46:39",
                    "selected": true,
                    "line_id": "HOMEAUTOMA1002"
                }
            ],
            "pricelist": "19d29513d0e63110f8770dbf976be122",
            "transaction_date": "2023-12-18 23:37:11"
        },
        "settings": {
            "pricing_elements": "PRICE,COST,NET_PRICE,LINE_ROLLUPS,HEADER_ROLLUPS,ADJUSTMENTS",
            "pricing_context_id": "7049E245A667EABB226B16A2190FB92E",
            "disable_validation": true,
            "scope": "configurator",
            "config_top_line_identifier": "HOMEAUTOMA2000",
            "config_lines_expanded": false
        }
    }' \
    --user 'username:password'

<br />

    {
        "result": {
            "header": {
                "currency": "USD",
                "lineItems": [
                    {
                        "line_id": "HOMEAUTOMA1002",
                        "status": "Success",
                        "currency": "USD",
                        "base_price": {
                            "value": "100.0000",
                            "displayValue": "$100.00"
                        },
                        "list_price": {
                            "value": "120.0000",
                            "displayValue": "$120.00"
                        },
                        "pricelist": "19d29513d0e63110f8770dbf976be122",
                        "quantity": "1",
                        "price_list_line": "fe912705d07a7910f8770dbf976be147",
                        "product_offering": "3f6111dfd0a63110f8770dbf976be149",
                        "parent_product_offer": "26d07c3211707110f877366201dea60c",
                        "top_product_offer": "26d07c3211707110f877366201dea60c",
                        "one_time_price": {
                            "value": "96.0000",
                            "displayValue": "$96.00"
                        },
                        "monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_net_price": {
                            "value": "96.0000",
                            "displayValue": "$96.00"
                        },
                        "cumulative_net_price": {
                            "value": "96.0000",
                            "displayValue": "$96.00"
                        },
                        "cumulative_one_time_price": {
                            "value": "96.0000",
                            "displayValue": "$96.00"
                        },
                        "cumulative_monthly_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "cumulative_annual_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "unit_adjustment": {
                            "value": "-24.0000",
                            "displayValue": "($24.00)"
                        },
                        "term_month": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_annual_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "cumulative_monthly_recurring_price_v1": {
                            "value": 0,
                            "displayValue": 0
                        },
                        "total_recurring_price": {
                            "value": "0.0000",
                            "displayValue": "$0.00"
                        },
                        "pricingAdjustments": [
                            {
                                "adjustment_type": {
[...]
